Perform various operations on wire File Maintenance (FM) history records.
Operations
getWireFmHistoryPagedListSelectFields
POST
Retrieve paged fund movement history with selected fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/wire/getWireFmHistoryPagedListSelectFieldsPOST /nexum/627/persistent/wire/getWireFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllWireFmHistoryFields": true,
"WireFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchWireFmHistoryPagedSelectFields
POST
Searches for wire funds management history paged with selected fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WireSequenceNumberintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/wire/searchWireFmHistoryPagedSelectFieldsPOST /nexum/627/persistent/wire/searchWireFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireSequenceNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllWireFmHistoryFields": true,
"WireFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"SearchFilter": {
"StartPostDate": "string",
"EndPostDate": "string",
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}